Subject: Re: DISCUSSION: rejecting candidates

From: John C Klensin <[email-masked]>
Date: Tue, 23 Apr 2002 18:47:57 -0400

--On Thursday, 18 April, 2002 20:39 +0200 Harald Alvestrand
<[email-masked]> wrote:

> Thinking through this on a case-by-case basis - this
> particular case set is seen from the confirming body.
> 
> Scenario 1:
> Nomcom makes a selection. The confirming body has information
> which, in its opinion, makes the candidate obviously unsuited
> for the job, and which it thinks that the nomcom cannot
> possibly have considered.
> 
> Scenario 2:
> Nomcom makes a selection. The confirming body doesn't like the
> candidate much.
> 
> Scenario 3:
> Nomcom makes a selection. The confirming body doesn't have a
> specific objection to the candidate, but would rather have
> someone else.
> 
> I think we would want to make it possible for the confirming
> body to reject the nominee in scenario 1, but that it would be
> a constitutional crisis if it were to reject the nomination in
> scenarios 2 and 3.

Harald, there is another case, which I think we should classify
as part of scenario 1, but might fall into one of the others as
you characterize them.  And I think this is an area that Dave
belives the confirming bodies should not be permitted to tamper
with.  I have a bias about the right answer, but it doesn't
count; that the community explicitly address the question and
decide does.

The scenario: Nomcom makes a selection.  The confirming body
considers it and decides that, while the candidate would be fine
if viewed in isolation, there are compelling reasons why the
appointment is unsuitable and, to quote your scenario 1, "which
it thinks that the nomcom cannot possibly have considered".

Some examples: 

(i) the candidate is ok, and would be an ok match with the
prospective co-AD on the IESG, but is involved in a blood feud
with two other IESG members, one of whom is the IETF Chair.

(ii) the candidate is ok, but the particular area into which he
or she is being inserted contains a range of WG interest areas,
and the combination of that candidate and the continuing AD(s)
would leave no effective technical coverage for a number of
those WGs.

The first of these is more relevant to the IESG, but may have
some IAB analogies.   The second is also more relevant to the
IESG, but, for the IAB, is related to the "balance" thread that
has been started earlier.
 
      john

---

From: Scott Brim <[email-masked]>
Date: Tue, 23 Apr 2002 19:31:36 -0400

> has been started earlier.

If the process has failed, and the NomCom either didn't know about these
issues, or didn't consider them ... then the confirming body does
deserve a voice.  The NomCom is going away, but the IESG|IAB, and all
the rest of us, are going to have to live with the resulting situation.
If the process has failed, they have the right to push back and not
confirm.

If the process has not failed, and the NomCom did consider these issues
but still came out with a different viewpoint, then ideally the
confirming body does not get to reject, since for better or worse the
NomCom is the voice of the people.  If in fact the process hasn't failed
then the confirming body won't be inclined to reject anway.

..Scott

---

From: Harald Alvestrand <[email-masked]>
Date: Wed, 24 Apr 2002 08:28:39 +0200

> then the confirming body won't be inclined to reject anway.

As Dave Crocker mentioned earlier, we have a selection process with no 
loonie filter - anyone who can stand showing up for 2 IETFs is eligible.

Run this process enough times, and kindergarten statistics show that sooner 
or later you end up with a committee where the majority is seriously out of 
alignment with the "voice of the people".

That's a type of process failure, I think, but one where the NomCom's 
consideration of issues should not be given infinite weight.

Of course, if the incidence of loonies is low enough in the IETF 
population, we might get lucky for the next 100 years, at which time we 
probably have larger issues to worry about....

                  Harald

---

From: Eric Gray <[email-masked]>
Date: Wed, 24 Apr 2002 16:58:03 -0400

Harald,

    Amazing the number of familiar voices in this discussion.

    This NomCom thing is not a new idea.  More than having to
get together a group of loonies that are out of alignment with
the rest of the IETF, you have to get a group of loonies that are
in agreement in their out of alignment state.  This is the true
reason why this kind of process is capable of being surprisingly
effective.  The likelihood that you will get a group of people
who are out of touch with reality and all in the same way is a
bit smaller than the likelihood that you'll get a group of loons.

    If you truly have a group of loonies - or just people who don't
know any better - one of two things is almost certainly going to
occur:  you're going to get 'the default result' or you're going to
get a group of people trying to learn in a hurry how to come up
with an acceptable answer.  Neither of these results is ideal, but
it is surprising how often either of these results is acceptable.

You wrote:

>
>
> --On tirsdag, april 23, 2002 19:31:36 -0400 Scott Brim 
> <[email-masked]> wrote:
>
> Run this process enough times, and kindergarten statistics show that 
> sooner or later you end up with a committee where the majority is 
> seriously out of alignment with the "voice of the people".
>
> population, we might get lucky for the next 100 years, at which time 
> we probably have larger issues to worry about....
>
>                  Harald
>
>
> ----------------------------------------------------------------
> To subscribe or unsubscribe from this elist use the subscription
> manager: <http://lists.elistx.com/subscribe>

-- 
--
Eric Gray (mailto:[email-masked])
http://www.mindspring.com/~ewgray

---

From: Robert Elz <[email-masked]>
Date: Thu, 25 Apr 2002 15:04:51 +1000

Date:        Wed, 24 Apr 2002 16:58:03 -0400
    From:        Eric Gray <[email-masked]>
    Message-ID:  <[email-masked]>

  |     Amazing the number of familiar voices in this discussion.

Not really, there are only a comparatively small number of people who
care much about how the IETF is run in the abstract.

  |     If you truly have a group of loonies - or just people who don't
  | know any better

The latter is far more likely really - the IETF is full of people (most
likely including me) who don't have any real idea what is going on, but
believe that they do (in all fields).   The danger in the nomcom is when
there's no-one outside that (large) group selected, however well meaning,
the selections they make simply aren't necessarily going to achieve something
workable.  One might hope that the liaisons might act to prevent that early
in the process, but unless we spell out the liaison role more clearly, this
isn't at all certain.

That is, it wouldn't be unreasonable for the past chair to feel (justifiably)
that their main function was the past year, and the role this time is just
to answer questions about what happened last time.   The IAB/IESG liaisons
tend to be whoever on those bodies feels they have time available, and so
can be one or the less experienced members - as there's currently no guidance
as to what the liaisons should do the bodies appointing them have no real
guidance as to the qualities needed - the only real known factor currently
is that it is likely to take a lot of time.

The general questions of the role of the confirming bodies, and of the role
of the liaisons probably need to be treated together, to produce something
consistent and workable, not treated seperately.

kre

---

From: Jeff Williams <[email-masked]>
Date: Thu, 25 Apr 2002 00:09:28 -0700

Robert and all,

  And to think that the AT&T lobbyist Marilyn Cade was bragging on
how open and wonderful the present IETF chair and the IETF
it self are recently...  Tisk tisk...

> consistent and workable, not treated seperately.

Regards,
--
Jeffrey A. Williams
Spokesman for INEGroup - (Over 121k members/stakeholdes strong!)
CEO/DIR. Internet Network Eng/SR. Java/CORBA Development Eng.
Information Network Eng. Group. INEG. INC.
E-Mail [email-masked]
Contact Number:  972-244-3801 or 214-244-4827
Address: 5 East Kirkwood Blvd. Grapevine Texas 75208

---

From: Eric Gray <[email-masked]>
Date: Thu, 25 Apr 2002 11:42:07 -0400

I was truly tempted to leave this one alone.  Really.

But what the heck does 'achieve something workable' mean?
Certainly it does not mean the same thing to all people.

As disgusting as committee work is, it is the way to do work
when it is not even clear what it is that you need to do.  And
a huge part of this discussion is about where the real work is
going to be done - by the NomCom, or by the confirming
bodies.

I'm certainly prepared to admit that there are some people 
that know where the IETF, the Internet and its users are going
to end up in a few years a bit better than others.  There also
seems to be a much larger number of people who are convinced
that they know the answers far more than anyone else and -
while a fair number of people from the first group are going to
be in this group as well - it is a bit surprising how often people
in this second group disagree.

If people with 'clue' disagree, then it is likely that there is more
than one right answer.

I'm even prepared to admit that the people who make up the
confirming bodies in the NomCom case have a substantially
higher chance of being included in the first group then in the
second.  But anyone who feels certain of their infallible 'clue'
is fooling themselves.

Lately, the term 'fractious' has been applied extensively to
describe the way the IETF works.  Which is a nice way of
saying it doesn't work too well.  The IETF appears to be made
up of cliches and each cliche tends to be convinced that only
the members of their own cliche 'have a clue'.  Most of us
learned better behavior than this, I thought, well before we
were allowed to attend meetings far from home.

If you take an objective view and assume that maybe, just
possibly, more than one of these groups is right, then you
need a process for reconciling the differences and finding
solutions that contain at least some of the better elements
of all groups and are acceptable to most.

So, you could argue that having the real work done by the
confirming bodies - rather than the NomCom - should work
just as well.  After all, these are committees too, aren't they?  
Unfortunately, that is not reliably the case.  There are two
problems with expecting the confirming bodies to be as
responsive to the Internet community as the NomCom can
be: ability and willingness.  Both of these are hampered to
a great extent by the notorious tendency for the majority
of people in the confirming bodies to be members of the
same cliche.

To illustrate why this is the case, imagine the confirming
body in each case soliciting feedback from the community.
Who would they ask?  What would they expect to be told?

I hear arguments that people who are otherwise ideal might
not be acceptable because of 'personality issues' - in particular
that they might not get on well with one or more of the people
they would have to work with.  Unless there is real reason to
believe that all of the people involved lack the maturity and
professionalism to rise above this sort of thing, then the only
reason for rejecting someone on this basis is to stack the IETF
leadership with people who pretty much agree with each other
on all important issues.

An analogy might be to extend the process to government.
If we did things this way in any government, whatever group
was once in would never be out and whatever groups were
out would never be in.  This is the easy road to the wrong
answer.